org.richfaces.component

## Class AbstractColumn

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIColumn
      - - org.richfaces.component.AbstractColumn

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, ColumnProps, StyleClassProps, StyleProps, Column
  Direct Known Subclasses:
    UIColumn

      public abstract class AbstractColumn
      extends javax.faces.component.UIColumn
      implements Column, ColumnProps, StyleClassProps, StyleProps

  The <rich:column> component facilitates columns in a table. It supports merging columns and rows, sorting, filtering, and customized skinning.

  Author:
    Anton Belevich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractColumn()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `getColspan()` Corresponds to the HTML colspan attribute.
    `abstract Comparator<?>` | `getComparator()` Defines value binding to the comparator that is used to compare the values.
    `abstract Filter<?>` | `getFilter()` Provides Filter instance which determines if given row value will be displayed.
    `abstract String` | `getFilterConverterMessage()` The message to be displayed when the filter expression is not able to be evaluated using the provided filter value.
    `abstract Object` | `getFilterExpression()` Defines EL expression which returns true if given row should be displayed (EL expressions should use variable defined in filterVar attribute of dataTable).
    `FilterField` | `getFilterField()`
    `abstract String` | `getFilterType()` Defines current filter type.
    `abstract Object` | `getFilterValue()` Defines current filtering value.
    `abstract String` | `getName()` Allows customizing column name in column visibility control in rich:extendedDataTable (showColumnControl)
    `abstract int` | `getRowspan()` Corresponds to the HTML rowspan attribute.
    `abstract Object` | `getSortBy()` Defines a bean property which is used for sorting of a column.
    `SortField` | `getSortField()`
    `abstract SortOrder` | `getSortOrder()` Defines order which will be used for sorting column: unsorted (default), ascending, descending.
    `abstract String` | `getSortType()` Defines current sorting type.
    `abstract String` | `getSubmittedFilterValue()` The submitted filter value.
    `abstract String` | `getWidth()` Attribute defines width of column.
    `abstract boolean` | `isBreakRowBefore()` If "true" next column begins from the first row.
    `static boolean` | `isBuiltInFilterControlsEnabled()`
    `static boolean` | `isBuiltInSortControlsEnabled()`
    `boolean` | `useBuiltInFilter()`
    `boolean` | `useBuiltInSort()`

    - ### Methods inherited from class javax.faces.component.UIColumn

      `getFamily, getFooter, getHeader, getId, setFooter, setHeader`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.ColumnProps

      `getFooterClass, getHeaderClass`

    - ### Methods inherited from interface org.richfaces.component.attribute.StyleClassProps

      `getStyleClass`

    - ### Methods inherited from interface org.richfaces.component.attribute.StyleProps

      `getStyle`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractColumn

          public AbstractColumn()

  - ### Method Detail

    - #### isBreakRowBefore

          public abstract boolean isBreakRowBefore()

      If "true" next column begins from the first row.

    - #### getSortOrder

          public abstract SortOrder getSortOrder()

      Defines order which will be used for sorting column: unsorted (default), ascending, descending.

    - #### getFilter

          public abstract Filter<?> getFilter()

      Provides Filter instance which determines if given row value will be displayed.

    - #### getFilterValue

          public abstract Object getFilterValue()

      Defines current filtering value.

    - #### getFilterType

          public abstract String getFilterType()

      Defines current filter type. Possible values: string, custom. If custom is used, no filter box is created, you are responsible for creating your own filter input.
      Default: string

    - #### getFilterConverterMessage

          public abstract String getFilterConverterMessage()

      The message to be displayed when the filter expression is not able to be evaluated using the provided filter value.

    - #### getSubmittedFilterValue

          public abstract String getSubmittedFilterValue()

      The submitted filter value. Set when the evaluation of the filter expression fails.

    - #### getSortType

          public abstract String getSortType()

      Defines current sorting type. Possible values: string, custom. If custom is used, no sorting controls are created, you are responsible for creating your own.
      Default: string

    - #### getRowspan

          public abstract int getRowspan()

      Corresponds to the HTML rowspan attribute.

    - #### getColspan

          public abstract int getColspan()

      Corresponds to the HTML colspan attribute.

    - #### getComparator

          public abstract Comparator<?> getComparator()

      Defines value binding to the comparator that is used to compare the values.

    - #### getFilterExpression

          public abstract Object getFilterExpression()

      Defines EL expression which returns true if given row should be displayed (EL expressions should use variable defined in filterVar attribute of dataTable).

    - #### getSortBy

          public abstract Object getSortBy()

      Defines a bean property which is used for sorting of a column.

    - #### getWidth

          public abstract String getWidth()

      Attribute defines width of column.

    - #### getName

          public abstract String getName()

      Allows customizing column name in column visibility control in rich:extendedDataTable (showColumnControl)

    - #### getFilterField

          public FilterField getFilterField()

    - #### getSortField

          public SortField getSortField()

    - #### useBuiltInFilter

          public boolean useBuiltInFilter()

    - #### useBuiltInSort

          public boolean useBuiltInSort()

    - #### isBuiltInSortControlsEnabled

          public static boolean isBuiltInSortControlsEnabled()

    - #### isBuiltInFilterControlsEnabled

          public static boolean isBuiltInFilterControlsEnabled()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.